## getmac 0.9.4

=== debian/changelog ===
getmac (0.9.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1076645)

 -- Edward Betts <edward@4angle.com>  Mon, 22 Jul 2024 12:01:14 +0900

## getmac 0.9.5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile man clean

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Generate Unix manual page
man:
	mkdir -p ./_build/man
	$(SPHINXBUILD) -b man . ./_build/man
	mv ./_build/man/getmac.1 .
	rm -Rf ./_build/man

clean:
	rm -rf ./_build/*

=== docs/requirements.txt ===
sphinx>=1.7
recommonmark
sphinx_rtd_theme

=== debian/changelog ===
getmac (0.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 10:16:27 +0900

=== debian/control ===
Source: getmac
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/GhostofGoes/getmac
Vcs-Browser: https://salsa.debian.org/python-team/packages/getmac
Vcs-Git: https://salsa.debian.org/python-team/packages/getmac.git

Package: python3-getmac
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Get MAC addresses of remote hosts and local interfaces in Python
 This pure-Python package retrieves the MAC address of network interfaces and
 hosts on the local network. It supports various platforms, providing a
 consistent interface to fetch MAC addresses by interface name, IPv4/IPv6
 address, or hostname. The primary function is `get_mac_address()`.
 .
 Features:
  - Platform-independent and pure-Python implementation.
  - Fetch MAC addresses of system network interfaces.
  - Retrieve MAC addresses of remote hosts on the local network.
 .
 Usage examples include fetching MAC addresses for different interfaces,
 IP addresses, and hostnames. The package also includes a command-line tool
 for quick usage.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=getmac
export PYBUILD_TEST_ARGS=tests -k "not test_initialize_method_cache_valid_types"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf getmac.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-pytest,
         python3-pytest-benchmark,
         python3-pytest-mock,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/getmac-$1\.tar\.gz/ \
  https://github.com/GhostofGoes/getmac/tags .*/v?(\d\S+)\.tar\.gz
